<template>
  <el-row class="inputsGroup" :gutter="20" align="middle" v-for="(item, index) in this.personForm.licenses" v-bind:key="item">


    <el-col :span="12">
      <el-form-item label="Вид деятельности" prop="">
        <el-input v-model="item.vid_deyatelnosti"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Номер" prop="">
        <el-input v-model="item.nomer_licenzii"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Дата начала действия лицензии" prop="">
        <el-date-picker
            v-model="item.start_date"
            type="date"
            placeholder="Дата начала действия лицензии"
            format="YYYY/MM/DD"
            value-format="YYYY-MM-DD"
        />
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Дата окончания лицензии" prop="">
        <el-date-picker
            v-model="item.end_date"
            type="date"
            placeholder="Дата окончания лицензии"
            format="YYYY/MM/DD"
            value-format="YYYY-MM-DD"
        />
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Орган выдавший лицензию" prop="">
        <el-input v-model="item.kem_vydana"/>
      </el-form-item>
    </el-col>
    <el-col :span="2">
      <el-button type="info" class="bigButton" v-if="index !== 0" @click="removeItem(index)"><img src="@/assets/person-form/trash.svg" class="icon-image" alt=""></el-button>
    </el-col>

  </el-row>
  <el-button class="addItemButton" type="info" @click="addItem()"><img src="@/assets/person-form/plus.svg" class="icon-image" alt=""> Добавить лицензию</el-button>
</template>

<script>
import moment from "moment";
export default {
  data:()=>({
    loading: false,
  }),
  methods:{
    dateFormat(data){
      return moment(data).format('DD.MM.YYYY')
    },
    removeItem(index){
      this.personForm.licenses.splice(index, 1);
    },
    addItem(){
      this.personForm.licenses.push({
        vid_deyatelnosti: '',
        nomer_licenzii: '',
        start_date: '',
        end_date: '',
        kem_vydana: ''
      });
    },
  },
  computed:{
    personForm() {
      return this.$store.getters.get_person_form;
    },
    dictionaries() {
      return this.$store.getters.get_dictionaries;
    },
    options() {
      return this.$store.getters.get_options;
    }
  }
}
</script>